Ubuntu

Skype silently crashes on Ubuntu 64bits

Reported by Daniel Cordeiro on 2012-04-12
328
This bug affects 68 people
Affects Status Importance Assigned to Milestone
skype (Ubuntu)
Undecided
Unassigned

Bug Description

A lot of users are having the following problem, reported to the Skype forum with no oficial answer from Skype:

Skype keep stops responding randomly afres seconds or minutes, without an apparent reason.

It kept silently freezing, with the interface *still appearing to be working* - but to all my friends I would appear off-line and my instant messages would not go through - and on trying to quit Skype it would freeze and I would have to quit with pgrep skype and then kill -s 9.I've to kill the process to be able to launch it again. I've read a lot of people with the same problem in the other forum posts (the old forum?).

more on:

http://community.skype.com/t5/Linux/Skype-silently-crashes-on-Ubuntu/td-p/1162

It seems to be affecting everyone I know using a 64bit version of Ubuntu (I'm using 12.04 and Skype package from the partner repository) under different hardware setups.

WORKAROUND #1: Within the application, navigate to Skype » Options » Sound devices. Uncheck "Allow Skype to automatically adjust my mixer levels", and hit the Apply button.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in skype (Ubuntu):
status: New → Confirmed
Vitali Kulikou (sabotatore) wrote :

I use 32bit version of Ubuntu 12.04. Skype periodically freeze. Can I collect some logs?

Vitali Kulikou (sabotatore) wrote :

$ cat /etc/lsb-release
DISTRIB_ID=Ubuntu
DISTRIB_RELEASE=12.04
DISTRIB_CODENAME=precise
DISTRIB_DESCRIPTION="Ubuntu precise (development branch)"

$ uname -a
Linux sab 3.2.0-23-generic-pae #36-Ubuntu SMP Tue Apr 10 22:19:09 UTC 2012 i686 i686 i386 GNU/Linux

$ dpkg -l | grep skype
ii skype 2.2.0.35-0precise3 VOIP and instant messaging client
ii skype-bin 2.2.0.35-0precise3 VOIP and instant messaging client - binary files

darklordjohn (darklordjohn) wrote :

This bug affects me, I am using 32bit 10.04LTS right now.

Can you please run "skype" from the terminal and see if it dumps anything
into the terminal when it crashes? Thanks.

Sincerely,
Kroq-gar78

On Tue, Apr 24, 2012 at 2:56 PM, Jochen Kursawe
<email address hidden>wrote:

> This bug affects me, I am using 32bit 10.04LTS right now.
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/980320
>
> Title:
> Skype silently crashes on Ubuntu 64bits
>
> Status in “skype” package in Ubuntu:
> Confirmed
>
> Bug description:
> A lot of users are having the following problem, reported to the Skype
> forum with no oficial answer from Skype:
>
> Skype keep stops responding randomly afres seconds or minutes, without
> an apparent reason.
>
> It kept silently freezing, with the interface *still appearing to be
> working* - but to all my friends I would appear off-line and my
> instant messages would not go through - and on trying to quit Skype it
> would freeze and I would have to quit with pgrep skype and then kill
> -s 9.I've to kill the process to be able to launch it again. I've read
> a lot of people with the same problem in the other forum posts (the
> old forum?).
>
> more on:
>
> http://community.skype.com/t5/Linux/Skype-silently-crashes-on-
> Ubuntu/td-p/1162
>
>
> It seems to be affecting everyone I know using a 64bit version of Ubuntu
> (I'm using 12.04 and Skype package from the partner repository) under
> different hardware setups.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+source/skype/+bug/980320/+subscriptions
>

Daniel Cordeiro (dcordeiro) wrote :

There are no log of any kind on the terminal.

SicilyBoy (caffe90) wrote :

i 'm using precise 64 bit and i'm affect of this bug :(
No one have found a workaround?

jjcool (stefan-ziel) wrote :

this affected me on 11.10
on 12.04 skype crashes with core dump :-S

Tom (tom-lorinthe) wrote :

Same problem here :(((( We use Skype everyday in our team... and since the upgrade to 12.04 -64bit this week, I can not use skype anymore :( .... Is a show stopper for us :(

Hi everybody, can anybody please try to delete the .Skype directory in the home profile (maybe after a backup) and try again?

or does the official package from skype.com work?

Daniel Cordeiro (dcordeiro) wrote :

Neither deleting ~/.Skype nor using the upstream package helps with the problem.

Taken from the skype thread
"Hi,
combining this
http://www.ubuntubuzz.com/2011/10/fixing-skype-error-in-ubuntu-1110.html
and this
http://smashingweb.ge6.org/install-skype-to-ubuntu-12-04-aka-precise-pangolin/
to:
sudo apt-get remove --purge skype
sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
sudo apt-get install skype:i386
seem to fix the silent crash. It works for me on 32-bit Ubuntu 11.10 and 12.04."

could you give it a try?

Daniel Cordeiro (dcordeiro) wrote :

I saw this comment, too.

I don't believe it makes any difference. The 64-bit package skype in the partner repository already depends on skype-bin:i386. This means that we are already using the i386 version of Skype and its libraries.

Also, the user says it works for him on 32-bit versions of Ubuntu, not 64-bit.

James (jim-warkior) wrote :

The solution from LocutusOfBorg does not work on Linux Mint 12 64bit.
$ sudo apt-get install skype:i386
Reading package lists... Done
Building dependency tree
Reading state information... Done
E: Unable to locate package skype:i386
$

I experience this same problem. I really wish MS or somebody would get on this. It almost seems like some sort of weird network connection timeout that doesn't actually time out, just kills all connectivity. The interface itself still works fine (until you try to close the application). Just that no messages go through.

James (jim-warkior) wrote :

I have started a petition to Microsoft to fix this problem. Come sign it if you would like this problem fixed.
http://www.change.org/petitions/microsoft-fix-skype-for-linux-crashing

Bob Tregilus (elaterite) wrote :

I'm running Linux Mint 12 "Lisa" KDE 64-bit and have been having this problem. The fix seems to be to ensure you have ia32-libs installed as well as ia32-libs-multiarch which does not come preinstalled.

Installing ia32-libs-multiarch fixed the problem for me.

For referance, via release notes for ubuntu it states:

"Ubuntu 11.10 provides "multiarch" support for installing 32-bit library and application packages on 64-bit systems. For all amd64 installs and upgrades, select 32-bit software (like Skype and Flash), will now be installable directly using the same 32-bit packages that are used on i386 installations. You are not required to install the ia32-libs compatibility package. For users, this change means that the 32-bit libraries will always be available at the same time as their 64-bit counterparts, even in the case of security updates, and users will only need to install those 32-bit libraries required by the user's application(s)."

So their messing around with the 32-bit compatbilty library seems to be what messed things up for Skype installs. The ia32-libs-multiarch libraries are need but are not preinstalled with Linux Mint 12 KDE 64-bit. I'm not sure if that's the case for [k]ubuntu 11.10, upon which Linux Mint 12 is based.

Hope that helps!

Diego Gaviola (dmgaviola) wrote :

I think this problem is not only for 64-bit users. It happens to me and I'm running Ubuntu 12.04 32-bits. This makes Skype unusable and this is a big show-stopper for many people, so I think this should have a high priority.

Diego Gaviola (dmgaviola) wrote :

I should add that it was working without problems on my old 32-bits installation using Ubuntu 11.10.

ArTaX (marco-zannoni) wrote :

I have this problem too. I had it also on my old ubuntu 11.04, but I resolved following the instructions listed here:
http://askubuntu.com/questions/33773/what-to-do-when-skype-freezes-silently

The problem may be related to libpulse 32bit libraries, so the "dirty" workaround seems to remove read attribute to them, but I read that this causes many problems in other apps.

See also https://bugs.launchpad.net/ubuntu/+source/ia32-libs/+bug/646862. The bug is marked "Fixed", but now in 12.04 the libpulse libraries are newer, and it was adopted the multiarch paradigm...

Diego Gaviola (dmgaviola) wrote :

I tried what ArTaX suggested and now Skype seems to be working fine, but now I cannot control sound volume!

I think that what those commands do is disable access to other user to Pulse, so Skype might be using another driver for the sound device. If this is the problem, I guess that the issue is the combination of Skype plus Pulse.

I will try to enable Pulse again and see if I can change Skype to use another handler for audio.

Thanks

Dominic (djgarms) wrote :

Hello, I do have the same problem described here, since 11.04, 11.10, 12.04. Skype works fine on my different partition which runs on archlinux, but Ubuntu crashes silently after maybe 10 mins. I tried following terminal entry while starting skype:
LD_PRELOAD=/usr/lib32/libv4l/v4l1compat.so skype &
I had sometimes luck with previous versions of Ubuntu, but now it doesnt work anymore

Thanks for solving this issue

Diego Gaviola (dmgaviola) wrote :

Hi,

I found my problem. I'm running Ubuntu 12.04 32-bits.

First I tried doing what ArTaX suggested, which basically disables Pulse. Skype works, but Ubuntu sounds controls do not, so you need to use alsamixer to adjust volume settings.

What solved all my problems was restore Pulse and then, in Skype options, unmark the option 'Allow Skype to automatically adjust my mixer levels'. After that the problems was fixed.

With that option enabled, I could reproduce the issue consistently: two test calls, and Skype was frozen. After unsetting that flag, I was able to perform as many test call as I wanted and Skype was still working.

Probably is not the issue that all of you are experimenting, but I hope this can help some of you.

Thanks!

I wish Microsoft would update Skype.

Nic Martin (nic-i-like-to-) wrote :

HI,
This is also affecting me. I'm running Ubuntu 12.04 32-bits.

I tried the solution Diego Gaviola recommended. Unfortunately, it is not solving the problem for me.

hepaly (hurezi) wrote :

Seems like, this bug solved in new Skype 4.

alecive (alecive) wrote :

No, this bug isn't solved in new skype 4. I'm still experiencing the same issue! :(

Mimi (mbsocialid) wrote :

After installing a fresh install of Ubuntu 12.04 and the latest Skype 4, I quickly started experiencing the same thing. ...regarding Skype crashing.

For me, Skype worked ok initially but then started crashing during the login process and I have been able to fix it using the following process:

(I have also been able to reproduce the problem, which is explained below)

I start Nautilus (in Ubuntu) as root. (to do so, in a terminal type "gksu nautilus")
Press: CNTL+H to enable viewing of hidden files/folders
Then click through directory structure starting with: File System > Home > [personal computer name] > .skype

Once in the .skype directory, there is a folder with the name of the Skype account. Delete it, and then start Skype.

For me it works perfectly. The folder with the name of the Skype account, is automatically re-built by Skype.

To reproduce the problem (on my computer):
====================================

In the Skype window, a small orange number near the top right of the Skype window is displayed signifying a 'missed message or notification' (ie. notification of birthday or missed message). If I click on this orange number to show the message, my Skype 'locks up' and grays out. Eventually having to be forcibly stopped.

After this, I am no longer able to use Skype. It will crash very quickly after login.

If I carry out the fix outlined above, Skype works again.

I hope this helps.

stevr1it (stevr1it) wrote :

i ahv tried all teh solutions proposed but with my ubuntu 12.04 and skype 4 there are some problems, can you help me? when the skype video starts the session crash..

There is a new skype version out, please give it a try
---
Ubuntu Bug Squad volunteer triager
http://wiki.ubuntu.com/BugSquad

Changed in skype (Ubuntu):
status: Confirmed → Incomplete

Hi, a new skype version 4.1.0.20.0-0ubuntu0.12.04.2 is available, could you please try if you still have the bug with the new version?

If you still have this problem please set the status back to "new".

thanks

Simon Marlow (simonmar) on 2013-01-14
Changed in skype (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Sarthak Parikh (sarthorks) wrote :

I can confirm the latest skype version 4.1.0.20.0-0ubuntu0.12.04.2 crashes on 64-bit ubuntu 12.04 a few seconds into having called someone (either with video or without video). Additionally, I noticed I could not exchange audio with the other person either.

Changed in skype (Ubuntu):
status: Incomplete → Confirmed
Szabó Bakter (lszb19) wrote :

Same here. Precise 64bit. I can start the call, but after a few seconds the skype crashes.

mololoco (marcu87) wrote :

I'm on ubuntu 12.04 (64 bits) and I found a workaround here that works fine for me: http://askubuntu.com/questions/139279/skype-on-12-04-x64-does-not-start-even-after-purging-and-reinstalling-it

"Skype is working very well on Ubuntu 12.04 64 bit version (using it right now).
How to:
Go to Software Sources, click on second tab Other Software and mark Canonical Partners and Canonical Partners (Source Code).
Open your terminal and add the following command sudo apt-get update.
After the update is completed please type sudo apt-get install skype. This will install skype and will work perfectly."

Hope this helps,
cheers!

jevgtv (tugevus) wrote :

This bug affects me on my Precise 32 bit

jevgtv (tugevus) wrote :

I have to remove and reinstall it to get it to work. I do it a couple times per day. I made a script and button with link to this script, so reinstallation is not so boring.

I had the same problem in Ubuntu 12.04 32-bit, even installing skype from repositories than downloading the package from Skype officiale site.

I solved (it seems) with the suggestion from Diego Gaviola, disabling skype to handle Pulse Audio Mixer.

UPDATE: With the above I thought it was solved, but it wasn't. The bug still persists.

What worked for me (Lenovo T430s) with 12.10 (amd64) was use libasound2-plugins:i386 instead of :amd64. Here's the link: http://askubuntu.com/questions/220636/proper-way-to-install-skype-x86-64-in-ubuntu-12-04-after-recent-skype-upgrade/246961#246961

vasilisc (vasilisc) wrote :

Fri, 15 Mar 2013 12:09:20 +0400
==============
[Ubuntu]
Description: Ubuntu Raring Ringtail (development branch)
[Kernel linux]
3.8.0-12-generic
[Kernel command line]
BOOT_IMAGE=/boot/vmlinuz-3.8.0-12-generic root=UUID=7e5e7212-570c-4aa9-a3b5-60367081603b ro quiet splash ipv6.disable=1

[libc6]
libc6:amd64 2.17-0ubuntu4 amd64
libc6:i386 2.17-0ubuntu4 i386
libc6-dev:amd64 2.17-0ubuntu4 amd64

[skype]
skype 4.1.0.20.0-0ubuntu0.1 amd64
skype-bin 4.1.0.20.0-0ubuntu0.1 i386

rob cain (rcain-3) wrote :
Download full text (5.0 KiB)

We had exactly the same problem recently. vis:

machine/config::
-----------------------
SamSung Series 3 Laptop - NP350E7C-S02UK - Intel core ii7 quad 3.6GHz, 64 bit, RAM: 8GB, HDD: 1TB - Windows 8 partition at start, Ubuntu partition at 500GB mark - dual bootable via BIOS only (due to ntfs boot partition distance limit).

Ubuntu: 12.04.2 LTS

Skype: 4.1.0.20 - installed via Dash Home, Applications menu, run from icon in Ubuntu applications sidebar
Skype Options: (as set up by default)::
 - Video Devices: webcam = SC-13HDL11939N(/dev/video0) - {only option}; Disable Auto Exposure = UNchecked
 - Sound Devices: device='default' (for Microphone and Speakers and Ringing); automatically adjust mixer levels = checked
 -- *** NOTE: around a dozen other sound devices (mostly Intel) are also shown as available, including one named just 'Pulse' - this is UNEXPECTED!

 -- NOTE: also - no skype icon appearing in Ubuntu top dash/menu area - this is unexpected

Symptoms:
----------------
 - skype self test - sound effects and test call - appeared to work fine
 - during voice only or voice+video calls (skype to skype), incoming or outgoing - skype would suddenly close/crash at RANDOM times between a few minutes and 20 mins into call (otherwise call quality good)
 - during voice only or voice+video calls (skype to skype), incoming or outgoing - skype would suddenly close/crash REPRODUECABLY whenever attempting to either send or receive skype text message to same user within call

 - upon crash, skype would still leave an active process running and would still convey skype notification 'bubles'/sounds
 - skype could be relaunched ok by clicking Ubuntu applications sidebar icon in normal way, ie. without killing process - but resulting in same crash symptoms eventually

Remedies attempted:
-------------------------------
 - killing old skype process, before attempting skype relaunch - same symptoms
 - skype options, video devices: 'Disable Auto Exposure'=CHECKED - same symptoms
 - skype options, audio devices: 'automatically adjust mixer levels'=UNCHECKED - same symptoms
 - skype options, audio devices: device='Pulse' (for Microphone and Speakers and Ringing) - same symptoms + NO voice sound audible from caller (though ringing and outgoing sound (audible by caller) ok).

Remedies that worked::
----------------------------------
The following procedure fixed the problem: for us:

 - close and quit skype.

 - then from terminal session::
 - remove and purge existing skype install::

$ sudo apt-get autoremove --purge skype
 - ok

 - make sure system up to date::

$ sudo apt-get update && sudo apt-get upgrade
 - nothing to do - ok

(NOTE: we still got incoming skype notifications bubbles popping up at this stage - HOW!!!? (maybe i should have killed any existing skype process also))

 - reboot machine (to be on safe side), then, from terminal session again::

 - ensure we are looking at canonical partner apps repository:

$ sudo add-apt-repository "deb http://archive.canonical.com/ $(lsb_release -sc) partner"
 - ok

 - check all updated again for good measure and install skype from there::

$ sudo apt-get update && sudo apt-get install skype
 - ok
 ...

Read more...

Anand Singh (ananditcrs) wrote :

Hi All,

If you're on Ubuntu 64 bit BOX then please try this one first

sudo apt-get autoremove --purge skype

and then

sudo apt-get install skype -y this must fix your broken skype and silent crash as well.

Hope this helps.

David Matějček (dmatej) wrote :

Kubuntu 13.04 64bit, noveau driver, skype 4.2.0.11.
- skype crashes KDE.
With the LD_PRELOAD customized, skype runs, but after first click on the GUI crashes the KDE again.

One curiosity - Skype works started with ssh -X from another computer running Kubuntu 13.04. :D

aincube (aincube) wrote :

Fix that works in Mint 15 64bit and possible at all other debian-based distros:

# apt-get install libasound2-plugins:i386

Found solution at http://community.skype.com/t5/Mac/Debian-7-0-Skype-crashed-when-making-call/td-p/1371149

kanaifu (kanaifu) wrote :

Disabling skype -> options -> sound devices -> 'Allow Skype to automatically adjust my mixer levels' fixed my skype installation - latest skype, 12.04.3 LTS server + xfce4.

Dassburger (dassburger) wrote :

Hi, guys,

Ubuntu 13.10 x64, Skype 4.2.0.11

I've experienced the same issue. Following messages where appearing in the console (the segfault crash happened after ending a video call):

pk@dassburger-ux32a:~$ skype
ALSA lib conf.c:4694:(snd_config_expand) Unknown parameters CARD=PCH
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default:CARD=PCH
ALSA lib conf.c:4694:(snd_config_expand) Unknown parameters CARD=PCH
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default:CARD=PCH
ALSA lib conf.c:4694:(snd_config_expand) Unknown parameters CARD=PCH
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default:CARD=PCH
ALSA lib conf.c:4694:(snd_config_expand) Unknown parameters CARD=PCH
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default:CARD=PCH
ALSA lib conf.c:4694:(snd_config_expand) Unknown parameters CARD=PCH
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default:CARD=PCH
ALSA lib conf.c:3314:(snd_config_hooks_call) Cannot open shared library libasound_module_conf_pulse.so
ALSA lib control.c:953:(snd_ctl_open_noupdate) Invalid CTL default
skype: hcontrol.c:326: _snd_hctl_find_elem: Assertion `hctl && id' failed.
Aborted (core dumped)
pk@dassburger-ux32a:~$ ls

The issue seems to be solved by installing libasound2-plugins for i386 arch:

$ sudo apt-get install libasound2-plugins:i386

After this, no error messages in the console, and no crash after video call.

Andrea Gallo (andrea-gallo) wrote :

Skype was working for me up to Ubuntu 13.04 64-bit then since upgrading to 13.10 it started crashing silently. Especially when receiving or sending an instant message with a skype contact. The Skype UI app was freezing but the top bar icon was still active though pretty useless.

I have followed the suggestion in #44 by kanaifu about going to Skype Options > Sound devices and making sure that PulseAudio is used everywhere and then after all menu options disable the "allow skype to automatically adjust my mixer levels".

It was enabled and after disabling it now I see it works properly again. No silent crash anymore.

Thank you!

Colan Schwartz (colan) wrote :

Also confirming #44. I added the solution as a workaround to the issue header. If there are other solutions that work for folks, please add those there as well.

description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers